<?php
/*
 * This file is part of the Easy-CMS project.
 * Easy-CMS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Easy-CMS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Easy-CMS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * @package    Core
 * @subpackage Forms
 */
 
/**#@+
 * required classes
 */
include_once('classes/core/forms/ObjectForm.class.php');
include_once('classes/core/versions/ContentVersionsManager.class.php');
include_once('classes/core/versions/ContentVersion.class.php');
/**#@-*/

/**
 * Version Form
 *
 * @author  vinadelmar <vinadelmar@users.sourceforge.net>
 * @since   2006-02-22
 * @version 1.1.0d
 * @todo    write better class description
 */
class PublicationForm extends ObjectForm {

  var $contentId;
  var $contentType;

	/**
	 * Class Constructor
	 * 
	 * @param object $acl instance of ACL
	 */
	function PublicationForm(&$site) {
		parent::ObjectForm($site);
		$pageId 					= $this->site->getSubmittedVar('page_id', -1);
		$containersListId = $this->site->getSubmittedVar('containers_list_id', -1);
		$containerId 			= $this->site->getSubmittedVar('container_id', -1);
		$menuId 					= $this->site->getSubmittedVar('menu_id', -1);
		$contentId   			= $this->site->getSubmittedVar('content_id', -1);
		$contentType 			= $this->site->getSubmittedVar('type_name');
		$mode							= $this->site->getSubmittedVar('mode');

		$this->objectManager = &$this->site->getContentVersionsManager();
		$this->action = $mode;
    $this->contentType= $contentType;
    $this->contentId = $contentId;


	}


	
	/**
	 * @return integer  
	 */
	function processForm() {
		return 0;
	}

}
?>